﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Windows;

namespace MySQLBug.WPFUI
{
    using MySQLBug.Entity;

    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void buttonCreateBug_Click(object sender, RoutedEventArgs e)
        {
            this.textBoxExceptionMessage.Text = string.Empty;
            this.textBoxExceptionStackTrace.Text = string.Empty;

            try
            {
                PageNavigator pageNavigator = new PageNavigator() { PageSize = 10, PageNumber = 1 };
                Guid searchCacheUID = new Guid();

                using (var context = new MySQLEntities())
                {
                    var x = (from a in
                                 context.searchresults.Include("document").Include("document.documentproperties")
                             where a.searchCacheUID == searchCacheUID
                             orderby a.score
                             select a).Skip((pageNavigator.PageNumber - 1) * pageNavigator.PageSize).Take(
                                 pageNavigator.PageSize);

                    // this is where the error occurs
                    List<searchresult> searchresults = x.ToList();
                }
            }
            catch (Exception ex)
            {
                this.textBoxExceptionMessage.Text = ex.ToString();
                this.textBoxExceptionStackTrace.Text = ex.StackTrace;
            }
        }
    }

    public class PageNavigator
    {
        public int PageNumber { get; set; }

        public int PageSize { get; set; }
    }
}
